LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XVolatileResult Interface Referencepublished

provides methods to handle a volatile function result. More...

`import"XVolatileResult.idl";`

Inheritance diagram for XVolatileResult:

## Public Member Functions
void | addResultListener ([in] com::sun::star::sheet::XResultListener aListener)
| adds a listener to be notified when a new value is available. More...
void | removeResultListener ([in] com::sun::star::sheet::XResultListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to handle a volatile function result.

See also
  com::sun::star::sheet::VolatileResult
  com::sun::star::sheet::ResultEvent

Developers Guide
  Spreadsheet Documents - Variable Results

## Member Function Documentation

## ◆ addResultListener()

void addResultListener | ( | [in] com::sun::star::sheet::XResultListener | aListener | ) |

adds a listener to be notified when a new value is available.

## ◆ removeResultListener()

void removeResultListener | ( | [in] com::sun::star::sheet::XResultListener | aListener | ) |

removes the specified listener.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XVolatileResult.idl